<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:xs="http://www.w3.org/2001/XMLSchema">
    <xsl:strip-space elements="*"/>
    <xsl:output method="text" /> 
    
<!-- Copyright Kathleen Dollard 2002 -->


<!-- Main template that just directly stuffs in the code -->
<xsl:template name="DerivedEvent">
   &lt;System.Diagnostics.DebuggerStepThrough()&gt;  _
   Public Class <xsl:value-of select="@name"/>RowChangeEvent
      Inherits EventArgs

        Private eventRow As <xsl:value-of select="@name"/>Row
        
        Private eventAction As DataRowAction
        
        Public Sub New(ByVal row As <xsl:value-of select="@name"/>Row, ByVal action As DataRowAction)
            MyBase.New
            Me.eventRow = row
            Me.eventAction = action
        End Sub
        
        Public ReadOnly Property Row As <xsl:value-of select="@name"/>Row
            Get
                Return Me.eventRow
            End Get
        End Property
        
        Public ReadOnly Property Action As DataRowAction
            Get
                Return Me.eventAction
            End Get
        End Property
    End Class
</xsl:template>

    
</xsl:stylesheet>

  