package test.jug.util;

import jug.util.Demo;
import junit.framework.*;

public class DemoTest extends TestCase {

  private Demo demo;

  public DemoTest(String name) {
    super(name);
  }

  public void setUp() {
    demo = new Demo();
  }

  public void testPass() {
    assertTrue("Doh!", demo.yaThere().equals("yes!"));
  }

  public void testFail() {
    assertTrue("Oops!", demo.yaThere() == "yes!");
  }

  /**
   * Assembles this suite of Tests for User.
   * @return
   */
  public static Test suite () {
      TestSuite suite = new TestSuite(DemoTest.class);
      return  suite;
  }

  /**
   * Runs the test case.
   */
  public static void main (String args[]) {
      String[] testCaseName =  {
          DemoTest.class.getName()
      };

      String ui = (args.length > 0) ? args[0] : "text";

      if ("text".equals(ui))
        junit.textui.TestRunner.main(testCaseName);

      if ("graphical".equals(ui))
        junit.swingui.TestRunner.main(testCaseName);
  }
}